
ThreatFactor NSIA - Feature #154

Database Schema Upgrader

05/22/2010 12:30 PM - Luke Murphey

Status: Closed Start date: 05/22/2010

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0 (Release)   

Description

Need to add a system for upgrading a database schema to the new design.

History

#1 - 06/16/2010 02:18 PM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 06/26/2010 09:57 PM - Luke Murphey

Description of how the updates can be performed:

Check current application version against database schema version

Run all updater checks for that are later than the current version (in order from oldest to newest)

Update database schema version

Class structure:

Updater

getVersion (returns null if the version does not matter)

performUpdate

#3 - 07/03/2010 11:26 PM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 90

Implemented in r511. Need to finalize this and deploy it in the next version.

#4 - 07/24/2010 03:32 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Fully implemented and tested in r569.
